---
id: "EventModuleDefs"
title: "Interface: EventModuleDefs"
sidebar_label: "EventModuleDefs"
sidebar_position: 0
custom_edit_url: null
---

## Properties

### 1

• **1**: [`DiscordEventCommand`](DiscordEventCommand.md)<keyof `ClientEvents`\>

#### Defined in

[src/types/core-modules.ts:165](https://github.com/sern-handler/handler/blob/81cdde2/src/types/core-modules.ts#L165)

___

### 2

• **2**: [`SernEventCommand`](SernEventCommand.md)<keyof [`SernEventsMapping`](SernEventsMapping.md)\>

#### Defined in

[src/types/core-modules.ts:164](https://github.com/sern-handler/handler/blob/81cdde2/src/types/core-modules.ts#L164)

___

### 3

• **3**: [`ExternalEventCommand`](ExternalEventCommand.md)

#### Defined in

[src/types/core-modules.ts:166](https://github.com/sern-handler/handler/blob/81cdde2/src/types/core-modules.ts#L166)
